<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use \IoC;
use \Flash;
use \Configuration;
use models\Template;

if ( !class_exists( 'plugins\\antispam\\library\\InvisibleCaptcha' ) ) {
    $flash = new Flash();
    $i18n = IoC::resolve( 'i18n' );
    $flash->error( $i18n->__( 'required_plugin_missing', 'antispam' ) );
    return false;
}

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler' );
$settings = new Configuration( $configurationHandler );

if ( !isset( $settings['blog.sidebar'] ) ) {
    $template = new Template();
    $template->name = 'Blog sidebar';
    $template->content_type = 'text/html';
    $template->content = file_get_contents ( dirname( __FILE__ ) . DS . TEMPLATES_DIR . '_sidebar.html' );
    $template->save();

    $settings['blog.sidebar'] = $template->template_id;
}

$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->info( 'Plugin blog successfully upgraded.' );

return true;
